HTMLHRElement (Java SE 25 & JDK 25)
Description: declaration: module: jdk.xml.dom, package: org.w3c.dom.html, interface: HTMLHRElement
Keywords: org.w3c.dom.html.HTMLHRElement interface

# Interface HTMLHRElement

All Superinterfaces:
  `Element, HTMLElement, Node`

public interface HTMLHRElement extends HTMLElement
Create a horizontal rule. See the HR element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

Since:
  1.4, DOM Level 2

- ## Field Summary

  ### Fields declared in interface Node

  `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAlign()`
  Align the rule on the page.
  `boolean`
  `getNoShade()`
  Indicates to the user agent that there should be no shading in the rendering of this element.
  `String`
  `getSize()`
  The height of the rule.
  `String`
  `getWidth()`
  The width of the rule.
  `void`
  `setAlign(String align)`
  `void`
  `setNoShade(boolean noShade)`
  `void`
  `setSize(String size)`
  `void`
  `setWidth(String width)`

  ### Methods declared in interface Element

  `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

  ### Methods declared in interface HTMLElement

  `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

  ### Methods declared in interface Node

  `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- ## Method Details

  - ### getAlign

    String getAlign()
    Align the rule on the page. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  - ### setAlign

    void setAlign(String align)

  - ### getNoShade

    boolean getNoShade()
    Indicates to the user agent that there should be no shading in the rendering of this element. See the noshade attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  - ### setNoShade

    void setNoShade(boolean noShade)

  - ### getSize

    String getSize()
    The height of the rule. See the size attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  - ### setSize

    void setSize(String size)

  - ### getWidth

    String getWidth()
    The width of the rule. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  - ### setWidth

    void setWidth(String width)